class C {
    public static final int   X = D.Z;
    public static final int   Y = 77;

    public static void main(String[] args) {
        new C();
	int j = X;
    }
}

class D {
    public static final int Z = C.Y;
}